ChangeSet 1.1930, 2004/04/22 13:32:53-07:00, greg@kroah.com

[PATCH] USB: fix cdc-acm warnings due to previous patch


 drivers/usb/class/cdc-acm.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/class/cdc-acm.c b/drivers/usb/class/cdc-acm.c
--- a/drivers/usb/class/cdc-acm.c	Thu Apr 22 14:41:30 2004
+++ b/drivers/usb/class/cdc-acm.c	Thu Apr 22 14:41:30 2004
@@ -573,9 +573,11 @@
 	struct usb_device *dev;
 	struct acm *acm;
 	struct usb_host_config *cfacm;
-	struct usb_interface *data;
-	struct usb_host_interface *ifcom, *ifdata;
-	struct usb_endpoint_descriptor *epctrl, *epread, *epwrite;
+	struct usb_interface *data = NULL;
+	struct usb_host_interface *ifcom, *ifdata = NULL;
+	struct usb_endpoint_descriptor *epctrl = NULL;
+	struct usb_endpoint_descriptor *epread = NULL;
+	struct usb_endpoint_descriptor *epwrite = NULL;
 	int readsize, ctrlsize, minor, j;
 	unsigned char *buf;
 
